Bug 1576808 - [RHOS-11] Make `cpu_model_extra_flags` case-insensitive
Summary: [RHOS-11] Make `cpu_model_extra_flags` case-insensitive
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: async
: 11.0 (Ocata)
Assignee: Kashyap Chamarthy
QA Contact: nova-maint
URL:
Whiteboard:
Depends On: 1576799 1576809
Blocks: 1576806
TreeView+ depends on / blocked
 
Reported: 2018-05-10 12:22 UTC by Kashyap Chamarthy
Modified: 2019-09-09 16:24 UTC (History)
11 users (show)

Fixed In Version: openstack-nova-15.1.0-5.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1576799
Environment:
Last Closed: 2018-06-22 12:41:38 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Kashyap Chamarthy 2018-05-10 12:22:57 UTC
+++ This bug was initially created as a clone of Bug #1576799 +++

Backport the following commit to RHOS-12:

commit facde6cad8bc7ce0fd4d251f86550a7f648a5a13
Author: Kashyap Chamarthy <kchamart@redhat.com>
Date:   Sat Apr 28 18:55:25 2018 +0200

    libvirt: Make `cpu_model_extra_flags` case-insensitive for real
    
    When we introduced `cpu_model_extra_flags` config attribute (in
    commit: 6b601b7 -- "libvirt: Allow to specify granular CPU feature
    flags"), we said it was case-insensitive; but unfortunately I missed to
    _really_ make it so (despite proposing code for it in one of the
    revisions).
    
    Address that mistake by making `cpu_model_extra_flags` case-insensitive
    for real, from Nova's point of view.
    
    NB: Internally, this patch is normalizing 'extra_flags' to _lower_
    casing -- because CPU flags _must_ be lower case from libvirt's point of
    view.  Nova must honour that; otherwise, launching instances with an
    upper case CPU flag, 'FOO', will fail with: "libvirtError: internal
    error: Unknown CPU feature FOO".
    
    Upstream-Queens: https://review.openstack.org/565668
    Related-Bug: #1750829
    Change-Id: Ia7ff0566a5109c76c009f3a0c6199c4ba419cfb1
    Reported-by: Daniel P. Berrangé <berrange@redhat.com>
    Signed-off-by: Kashyap Chamarthy <kchamart@redhat.com>

Comment 1 Scott Lewis 2018-06-22 12:41:38 UTC
OSP11 is now retired, see details at https://access.redhat.com/errata/product/191/ver=11/rhel---7/x86_64/RHBA-2018:1828


Note You need to log in before you can comment on or make changes to this bug.